Robotics Service Bus - Enhancement #521
Introduce informer base class
08/25/2011 06:13 PM - Anonymous

Status: Resolved Start date: 08/25/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: 0.5

Description

Introduce an informer base class, which provides all non-templated features and derive the current (templated) informer class from

this base class.
This will allow to create collections of (base) informers to iterate ove

r and use the generic methods.

Associated revisions

Revision 76d8d95e - 09/02/2011 08:19 PM - J. Moringen
Introduced InformerBase class in src/rsb/Informer.{h,cpp}
fixes #521
- src/rsb/Factory.{h,cpp}: added createlnformerBase method which can
be used to create InformerBase instances without knowing their data
types at compile time
- src/rsb/Informer.{h,cpp}: added InformerBase class; moved members of
Informer to InformerBase; moved large parts of Informer and
InformerBase to cpp file
- test/rsb/integrationtest.cpp: added creation and use of new

InformerBase class

History

#1 - 08/26/2011 08:32 PM - J. Moringen

| implemented this experimentally and it seems feasible.
Advantages

- Payload-independent pointer type for Informer s

- Less code in Informer.h
Disadvantages

- Informer/InformerBase would become more complicated

- InformerBase may encourage writing unsafe code?

#2 - 08/28/2011 12:39 AM - J. Moringen
| thought some more about this and came to the conclusion that
- InformerBase should probably not be considered abstract
- This is required when the data type of an informer is genuinely not kn

above proposal)

own at compile time (as opposed to "forgotten” after creation as in the

- We should add a Factory::createlnformerBase method that works without a compile-time type parameter

#3 - 09/02/2011 06:25 PM - S. Wrede
- Tracker changed from Tasks to Enhancement
- Target version set to rsb-0.10
To me this sounds reasonable.

#4 - 09/02/2011 08:20 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r2512.

#5 - 10/27/2011 08:17 PM - J. Moringen

- Target version changed from rsb-0.10 to 0.5
